local require = GLOBAL.require

local IsModeArena = GLOBAL.TheNet:GetServerGameMode() == "lavaarena"
local IsBlacklisted = { balloon = true, pumpkin_lantern = true, houndmound = true, slurtlehole = true }
local TAGS = { "wall", "hive", "smashable" }
	
if IsModeArena then
	for _,v in pairs({ "sleeping", --[["shield", "shielded", "petrified"]] }) do
		table.insert(TAGS, v)
	end
end
	
local function IsSecondaryGoal(guy)
	for _,v in pairs(TAGS) do
		if guy:HasTag(v) then
			return true
		end
	end
		
	if IsModeArena and guy:HasTag("LA_mob") then
		local ds = guy.entity:GetDebugString() --a bit brutal, but there are no better way to do so
		if ds:find("fossilized") or ds:find("flip") or ds:find("hide") then
			return true
		end
	end
		
	return IsBlacklisted[guy.prefab]
end
	
local combat = require "components/combat_replica"
local OldIsAlly = combat.IsAlly
function combat:IsAlly(guy, ...)
	if IsSecondaryGoal(guy) then
		return true
	end
	return OldIsAlly(self, guy, ...)
end